package cpcns.dingZhi.peiZhiGuanLi.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.peiZhiGuanLi.model.PeiZhiGuanLi;
import cpcns.dingZhi.peiZhiGuanLi.service.IPeiZhiGuanLiService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"peiZhiGuanLiController"})
public class PeiZhiGuanLiController extends DangAnBaseController {
  @Autowired
  private IPeiZhiGuanLiService peiZhiGuanLiService;
  
  @RequestMapping({"/toList.do"})
  private String toList(HttpServletRequest request, Model model) throws Exception {
    PeiZhiGuanLi obj = this.peiZhiGuanLiService.getPeiZhiGuanLi("11");
    return "dingZhi/peiZhiGuanLi/peiZhiGuanLi_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  private String toAdd(HttpServletRequest request, Model model) throws Exception {
    return "dingZhi/peiZhiGuanLi/peiZhiGuanLi_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.peiZhiGuanLiService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "hangBiaoShi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("INIT_KEY", "init_key")
        .replaceAll("INIT_VALUE", "init_value").replaceAll("ZHUANGTAI", "zhuangTai").replaceAll("BEIZHU", "beiZhu");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      PeiZhiGuanLi obj = (PeiZhiGuanLi)this.peiZhiGuanLiService.getById(PeiZhiGuanLi.class, hangBiaoShi);
      model.addAttribute("pzgl", obj);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/peiZhiGuanLi/peiZhiGuanLi_edit";
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response, PeiZhiGuanLi obj) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("init_keyString", (new StringBuilder(String.valueOf(obj.getInit_key()))).toString());
        map1.put("zhuangTai", "1");
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        if (!this.peiZhiGuanLiService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            this.peiZhiGuanLiService.update(obj);
          } else {
            obj.setHangBiaoShi(Integer.valueOf(this.peiZhiGuanLiService.getPk(this.table)));
            this.peiZhiGuanLiService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
        } else {
          rm.setSuccess(false);
          info = "键已存在或相同的键只能有一条记录是启用状态！";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        info = "删除成功！";
        this.peiZhiGuanLiService.deleteById(PeiZhiGuanLi.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
}
